//
//  TSChatMsgBaseView.swift
//  AIEmoji
//
//  Created by 100Years on 2025/2/23.
//

import MessageKit




enum TSChatMsgBaseViewStyle:String {
    case base

    func getModelClass() -> TSChatMsgBaseView.Type {
        switch self {
        case .base:
            return TSChatMsgBaseView.self
        }
    }
}

class TSChatMsgBaseView: TSBaseView {
    var didTapCustomViewBlock:((TSChatMsgViewTapType)->Void)?
    open var indexPath:IndexPath?
    open var viewH:CGFloat = 0.0
    
    
    weak var uiBaseModel:TSChatMessageUIBaseModel?
    
    override func creatUI() {
        
        
    }
    

    func updataView(uiBaseModel:TSChatMessageUIBaseModel){
  
    }
}


// 定义一个枚举作为字典的键
public enum TSChatMsgViewTapType {
    case copyMsg    //复制ai 的消息
    case refreshMsg //让ai重新回答
    case refreshCell //刷新 cell
    case refreshColView //刷新 collectview
}
public extension MessageCellDelegate {

    func didTapCustomView(msgCell: MessageCollectionViewCell?, pattern: TSChatMsgViewTapType, match: String?) {
        debugPrint("MessageCellDelegate extension didTapCustomView")
    }
}
